Name:          hostname
Version:       3.23
Release:       %mkrel 2
Summary:       Utility to set/show the host name or domain name
License:       GPLv2+
Group:         System/Networking
URL:           http://packages.qa.debian.org/h/hostname.html
Source0:       http://ftp.de.debian.org/debian/pool/main/h/hostname/hostname_%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2:       nis-domainname
Source3:       nis-domainname.service
BuildRequires: gcc
BuildRequires: systemd

# NOTE: We are *not* requiring systemd on purpose, because we want to allow
#       hostname package to be installed in containers without the systemd.

# Initial changes
Patch1:        hostname-rh.patch

Conflicts:     net-tools  < 2.0-0.20140707git.4

%description
This package provides commands which can be used to display the system's
DNS name, and to display or set its hostname or NIS domain name.

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch1 -p1 -b .rh

%build
%set_build_flags
%make_build

%install
make BASEDIR=%{buildroot} BINDIR=%{_bindir} install

install -m 0755 -d %{buildroot}%{_libexecdir}/%{name}
install -m 0755 -d %{buildroot}%{_unitdir}
install -m 0755 nis-domainname         %{buildroot}%{_libexecdir}/%{name}
install -m 0644 nis-domainname.service %{buildroot}%{_unitdir}


%post
%systemd_post nis-domainname.service
# Needs to work even if systemd is not available:
:

%preun
%systemd_preun nis-domainname.service
# Needs to work even if systemd is not available:
:

# NOTE: Nothing to do for upgrade (in postun), nis-domainname.service is oneshot.

%files
%doc COPYRIGHT gpl-2.0.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_unitdir}/*
%{_libexecdir}/%{name}


%changelog
* Tue Jul 28 2020 ovitters <ovitters> 3.23-2.mga8
+ Revision: 1609429
- move fedora-domainname from initscripts to this package and rename to nis-domainname

* Tue Jul 28 2020 ovitters <ovitters> 3.23-1.mga8
+ Revision: 1609393
- new version 3.23

* Fri Feb 14 2020 umeabot <umeabot> 3.21-2.mga8
+ Revision: 1521688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.21-1.mga7
+ Revision: 1346434
- 3.21

* Sun Sep 23 2018 umeabot <umeabot> 3.20-2.mga7
+ Revision: 1298204
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 3.20-1.mga7
+ Revision: 1213364
- Update to version 3.20

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.18-1.mga6
+ Revision: 1045489
- 3.18

* Mon May 09 2016 luigiwalser <luigiwalser> 3.17-1.mga6
+ Revision: 1011381
- 3.17

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.16-1.mga6
+ Revision: 918763
- 3.16

* Fri Aug 21 2015 tmb <tmb> 3.15-6.mga6
+ Revision: 867487
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.15-5.mga5
+ Revision: 739987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.15-4.mga5
+ Revision: 680161
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 spuhler <spuhler> 3.15-3.mga5
+ Revision: 673815
- made changes to Conflicts: as <= may not give the desired result

* Mon Sep 08 2014 spuhler <spuhler> 3.15-2.mga5
+ Revision: 673800
- added Conflicts: net-tools <= 2.0-0.20140707git.3

* Mon Sep 08 2014 spuhler <spuhler> 3.15-1.mga5
+ Revision: 673785
- corrected Group to Mageia spec
- adapted spec file from Fedora to Mageia
- imported package hostname


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Tom Callaway <spot@fedoraproject.org> - 3.15-3
- fix license handling

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 04 2013 Jiri Popelka <jpopelka@redhat.com> - 3.15-1
- 3.15

* Wed Oct 16 2013 Jiri Popelka <jpopelka@redhat.com> - 3.14-3
- use BINDIR

* Mon Oct 14 2013 Jaromír Končický <jkoncick@redhat.com> - 3.14-2
- Install binaries into /usr/bin

* Sun Sep 08 2013 Jiri Popelka <jpopelka@redhat.com> - 3.14-1
- 3.14

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Jiri Popelka <jpopelka@redhat.com> - 3.13-1
- 3.13: -v references removed upstream

* Tue Mar 26 2013 Jiri Popelka <jpopelka@redhat.com> - 3.12-4
- remove void -v option from --help

* Fri Mar 08 2013 Jiri Popelka <jpopelka@redhat.com> - 3.12-3
- do not ship outdated french man pages (#919198)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 07 2012  Jiri Popelka <jpopelka@redhat.com> - 3.12-1
- 3.12: man page improvements

* Fri Nov 30 2012  Jiri Popelka <jpopelka@redhat.com> - 3.11-4
- revert /usr move for now

* Fri Nov 30 2012  Jiri Popelka <jpopelka@redhat.com> - 3.11-3
- remove some rh-specific bits from rh.patch as they are no longer valid (#881913)
- remove outdated de & pt man pages
- /usr move: use _bindir macro

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 21 2012  Jiri Popelka <jpopelka@redhat.com> - 3.11-1
- 3.11

* Wed Jan 18 2012  Jiri Popelka <jpopelka@redhat.com> - 3.10-1
- 3.10

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011  Jiri Popelka <jpopelka@redhat.com> - 3.09-1
- 3.09

* Sat Dec 24 2011  Jiri Popelka <jpopelka@redhat.com> - 3.08-1
- 3.08

* Fri Dec 23 2011  Jiri Popelka <jpopelka@redhat.com> - 3.07-1
- 3.07

* Mon Mar 07 2011  Jiri Popelka <jpopelka@redhat.com> - 3.06-1
- 3.06

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010  Jiri Popelka <jpopelka@redhat.com> - 3.05-1
- 3.05

* Fri Apr 30 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.04-2
- Mark localized man pages with %%lang.

* Thu Mar 25 2010  Jiri Popelka <jpopelka@redhat.com> - 3.04-1
- 3.04

* Tue Feb 02 2010  Jiri Popelka <jpopelka@redhat.com> - 3.03-1
- 3.03

* Tue Nov 10 2009  Jiri Popelka <jpopelka@redhat.com> - 3.01-1
- Initial package. Up to now hostname has been part of net-tools package.
- This package is based on Debian's hostname because Debian has had hostname
  as separate package since 1997 and the code is much better then the old one
  contained in net-tools.
